Jump to content

ΤΠ- Toposynt 2021 - Πίνακας Συντεταγμένων και διαστασιολόγηση POLYLINE - Με τη χρήση μη-ASCII ελληνικών


 Κοινοποίηση

Recommended Posts

Toposynt 2021 - Πίνακας Συντεταγμένων και διαστασιολόγηση POLYLINE - Με τη χρήση μη-ASCII ελληνικών


Το τελευταίο Toposynt με τη χρήση μη-ASCII για το ελληνικό αλφάβητο σημείων διότι απαιτείται από το τελευταίο AutoCAD. Επίσης έγιναν μικροδιορθώσεις, και το formatting έγινε indent με το Visual Studio Code.

Σημειώσεις: Ως font style χρησιμοποιεί το επί του παρόντος επιλεγμένο και λειτουργεί καλύτερα χωρίς annotative style ή/και με height 0. Ξεκίνησα να προσθέσω ρυθμίσεις σταθερές ως επιλογή για να μην επιλέγεις κάθε φορά π.χ. "γράμματα ναι/σημεία ναι/δεκαδικά #" αλλά έμεινε ως TODO. Επίσης: α) Οι PLINE καλό είναι να είναι ορθά κλειστές με το property "closed" και όχι κυριολεκτικά να συμπίπτει το τελευταίο με το πρώτο σημείο γιατί χαλάει η τελευταία σειρά του πίνακα (ή και η περίμετρος) β) Ενδεχομένως λόγω AutoCAD bug το 'Linetype generation' property πρέπει να είναι OFF για να τυπωθεί ξανά το πρώτο σημείο στον πίνακα γ) Εάν θέλετε να έχουν αντίστροφη αρίθμηση τα σύμβολα τρέξτε REVERSE στο PLINE.

Χρήση:

1) APPLOAD -> τρέχουμε το αρχείο (ή με (load "toposynt.lsp") αν είναι στο path)

2) TPS ή TOPOSYNT (και επιλέγουμε μία POLYLINE (και μόνο αυτό)

3) Ακολουθάμε τις ερωτήσεις

Συγγραφέας

Curzon Dax

Νικόλας Ρεΐσης

agior

 


 

  • Like 1
Link to comment
Share on other sites

Ενδεχόμενα προβλήματα Ελληνικά Γράμματα σε Autocad 2011.

Ένα χρήσιμο μικρό lisp που μετατρέπει ότι κείμενο υπάρχει στο dwg σε Arial γραμματοσειρά.

(defun c:tstyle ( / lss n al k tss )
(vl-load-com)

;== create ARIAL textstyle (overwrites existing) ==;
(entmakex
'(
   (0 . "STYLE")
   (100 . "AcDbSymbolTableRecord")
   (100 . "AcDbTextStyleTableRecord")
   (2 . "ARIAL")
   (70 . 0)
   (40 . 0.0);<- text height not defined
   (41 . 1.0)
   (50 . 0.0)
   (71 . 0)
   (42 . 2.0)
   (3 . "arial.ttf")
   (4 . "")
 )
)
;;==;;

  (setq lss (ssget "x" '((0 . "TEXT,MTEXT")) ))
  (foreach k (nmlist lss)
     
(vla-put-stylename (vlax-ename->vla-object k) "ARIAL")
    )    ;foreach

  (command "_.regen")

  )    ;defun tstyle

(defun nmlist ( lss / n yeash )
(setq n 0)
(repeat (sslength lss)

  (setq yeash (cons  (ssname lss n) yeash)) 
   (setq n (+ 1 n))
  )

yeash
)         ;defun nmlist

 

Link to comment
Share on other sites

Δημιουργήστε έναν λογαριασμό ή συνδεθείτε για να σχολιάσετε

Πρέπει να είστε μέλος για να αφήσετε ένα σχόλιο

Δημιουργία λογαριασμού

Εγγραφείτε για έναν νέο λογαριασμό στην κοινότητά μας. Είναι εύκολο!

Εγγραφή νέου λογαριασμού

Είσοδος

Έχετε ήδη λογαριασμό? Συνδεθείτε εδώ.

Είσοδος Τώρα
 Κοινοποίηση

×
×
  • Δημιουργία Νέου...